#271 closed defect (fixed)

rtems_rate_monotonic_period() does not properly reset watchdog period

Reported by: Aaron J. Grier Owned by: Joel Sherrill
Priority: normal Milestone: 2
Component: unspecified Version: 4.5
Severity: major Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description

rtems_rate_monotonic_period doesn't appear to set the .initial member of its associated watchdog if the period is in RATE_MONOTONIC_ACTIVE state. this results in subsequent calls to rtems_rate_monotonic_period ignoring the passed period length.

Release:
RTEMS-4.5.0

Environment:
custom m68k BSP

How-To-Repeat:
call rtems_rate_monotonic_period with varying period lengths.

Attachments (3)

pr271a.diff (3.4 KB) - added by Aaron J. Grier on Dec 3, 2006 at 1:31:13 PM.
pr271a.diff
pr271b.diff (815 bytes) - added by Aaron J. Grier on Dec 3, 2006 at 1:31:13 PM.
pr271b.diff
pr271_test_and_fix.tar.gz (1.9 KB) - added by Aaron J. Grier on Dec 3, 2006 at 1:31:13 PM.
pr271_test_and_fix.tar.gz

Download all attachments as: .zip

Change History (4)

comment:1 Changed on Aug 29, 2002 at 1:45:22 PM by Joel Sherrill

Status: assignedwaiting

comment:2 Changed on Sep 14, 2002 at 5:48:03 PM by Joel Sherrill

Status: waitingclosed

State-Changed-From-To: feedback->closed
State-Changed-Why: Official patch attached. Your test was committed as

sp32. Thanks.

Changed on Dec 3, 2006 at 1:31:13 PM by Aaron J. Grier

Attachment: pr271b.diff added

pr271b.diff

comment:3 Changed on Oct 10, 2017 at 6:35:44 AM by Sebastian Huber

Component: miscunspecified
Note: See TracTickets for help on using tickets.